maven-debian-helper (2.0.1) unstable; urgency=medium

  * Team upload.
  * The dh_auto_install arguments are now passed to Maven
    (for example to specify the location of the build file with
    dh_auto_install -- -f foo/pom.xml)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Dec 2015 14:46:22 +0100

maven-debian-helper (2.0) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 Dec 2015 09:52:13 +0100

maven-debian-helper (2.0~exp3) experimental; urgency=medium

  * Team upload.
  * Disable the timestamps and set the locale to en_US when generating
    the javadoc in the builds using DH (improves the reproducibility).
  * Removed the dependency on maven-deploy-plugin (moved to maven-bundle-plugin)
  * Fixed the mvn-debian script to work with Maven 3.3.9
  * Use the maven-plugin-api jar from libmaven3-core-java instead of
    libmaven2-core-java

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Dec 2015 13:20:26 +0100

maven-debian-helper (2.0~exp2) experimental; urgency=medium

  * Team upload.
  * Added a dependency on libmaven-deploy-plugin-java to fix
    a build failure with some packages like avro-java.
  * Remove the target directories even if 'mvn clean' fails when using DH

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Nov 2015 17:03:53 +0100

maven-debian-helper (2.0~exp1) experimental; urgency=medium

  * Team upload.
  * Update Maven to version 3.3 (Closes: #709276)
    - Remove nodocs build due to Maven 3 update
    - Generate maven metadata when copying maven repo for building
  * Update SysInstallMojo to wait for symlinks to finish

 -- Andrew Schurman <arcticwaters@gmail.com>  Fri, 13 Nov 2015 16:06:38 +0100

maven-debian-helper (1.7) unstable; urgency=medium

  * Ignore the 'maven clean' errors when building with debhelper
  * Do not run the tests when DEB_BUILD_OPTIONS=nocheck is specified
    (Closes: #737988)
  * Changed the debian/rules template to use DH by default instead of CDBS.
    A rules file using CDBS can still be generated by adding the --cdbs
    parameter to mh_make (Closes: #786340)
  * Generate debian/watch for GitHub projects
  * Added animal-sniffer-maven-plugin to the ignored plugins

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Nov 2015 19:18:51 +0100

maven-debian-helper (1.6.13) unstable; urgency=medium

  * Don't install the documentation jar by default (Closes: #711852)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 29 Sep 2015 17:35:10 +0200

maven-debian-helper (1.6.12) unstable; urgency=medium

  * Set the locale to en_US when generating the javadoc
    to make the builds reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Jun 2015 23:59:50 +0200

maven-debian-helper (1.6.11) unstable; urgency=medium

  * Upload to unstable
  * Removed the timestamp from the javadoc files to make the builds reproducible
  * Export the DEB_CHANGELOG_DATETIME variable with the date of the latest entry
    in debian/changelog
  * Accept libmaven-compiler-plugin-java (<< 3.0) as an alternative dependency

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 May 2015 19:51:25 +0200

maven-debian-helper (1.6.10) experimental; urgency=medium

  * Team upload.
  * Replace dependency on libmaven-compiler-plugin-java with
    libmaven-compiler-plugin-2.5-java.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 07 Mar 2015 21:10:26 -0300

maven-debian-helper (1.6.9) unstable; urgency=medium

  * Marked jacoco-maven-plugin as a documentation plugin
  * Added org.sonatype.plugins:nexus-staging-maven-plugin to the ignored
    plugins
  * Use the uscan --no-symlink option instead of --rename in the generated
    debian/rule get-orig-source target to work around #748462
  * mh_make: Fixed the error displayed when DEBFULLNAME/DEBEMAIL is not defined
  * The generated control file now specifies Standards-Version: 3.9.6
  * Shortened the Vcs-Browser URL in the generated control file
  * The dependencies of the *-java-doc packages are now recommended to comply
    with the Java policy
  * debian/control:
    - Depend on maven-repo-helper >= 1.8.9
    - Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Oct 2014 16:31:47 +0200

maven-debian-helper (1.6.8) unstable; urgency=medium

  * The provided Maven dependencies are no longer added to the ${maven:Depends}
    substitution variable
  * Added com.google.code.maven-license-plugin:maven-license-plugin
    to the ignored plugins
  * Use the --download-current-version uscan option in the generated
    debian/rules files
  * Release candidate versions are now properly mangled (1.0-rc2 -> 1.0~rc2)
  * Updated the Maven dependencies

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 14 Jul 2014 00:51:14 +0200

maven-debian-helper (1.6.7) unstable; urgency=medium

  * The optional Maven dependencies are now suggested and not recommended
    in the package generated by mh_make
  * The optional test dependencies are no longer added to the
    ${maven:OptionalDepends} substitution variable
  * The generated Vcs-* fields now refer to Git instead of Subversion
    (Closes: #639338)
  * Added com.googlecode.maven-gcu-plugin:maven-gcu-plugin to the ignored
    plugins
  * Depend on maven-repo-helper >= 1.8.6
  * Improved the package description (Closes: #704091)
  * Fixed the mvn-debian script when more than one binary package is defined.
    Thanks to Mattias Ellert (Closes: #673525)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 06 Feb 2014 14:31:25 +0100

maven-debian-helper (1.6.6) unstable; urgency=low

  [ Emmanuel Bourg ]
  * The version rule selected by default is now the symbolic 'debian' version
  * The choices for the version rule are no longer reordered but the previous
    choice is still selected by default
  * Added com.github.github:site-maven-plugin to the ignored plugins
  * Added org.codehaus.mojo:ianal-maven-plugin to the ignored plugins
  * Added com.mycila.maven-license-plugin:maven-license-plugin
    to the ignored plugins
  * Added wagon-gitsite to the ignored extensions
  * Ignore the dependencies provided by the JRE (JAF, JMX, JAXB, StAX)
  * Ask the questions again if the response is not valid
  * Depend on maven-repo-helper >= 1.8.5
  * Build depend on debhelper 9
  * The generated packages now depend on debhelper 9
  * The generated control file now specifies Standards-Version: 3.9.5
  * Improved the detection of the documentation packages
  * Fixed an IllegalArgumentException when a documentation package is not found
    (Closes: #712506)
  * Added a header to orig-tar.svn.vm
  * Use XZ compression for the upstream tarball in the generated orig-tar.sh
  * Standards-Version updated to 3.9.5 (no changes)

  [ Steffen Moeller ]
  * Removed the trailing white space after the Homepage field
    in the generated control file
  * Fixed the length of the separator underlining the title
    in the generated README.source

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Dec 2013 22:02:59 -0800

maven-debian-helper (1.6.5) unstable; urgency=low

  * Add Wolodja Wentland to uploaders
  * Prevent artifact installation during dh build (switch maven target from
    "install" to "package")
  * Adjust mh_resolve_dependencies arguments in dh to match CDBS
  * Adjust debian-maven-plugin options in dh to match CDBS
  * Switch maven doc target back to javadoc:jar (was javadoc:javadoc)

 -- Wolodja Wentland <debian@babilen5.org>  Sat, 17 Aug 2013 15:24:16 +0000

maven-debian-helper (1.6.4) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Don't install the documentation jar by default (Closes: #711852)
  * Generate canonical URLs for the Vcs-* fields
  * Refer to "Debian systems" instead of "Debian GNU/Linux system"
    in the generated copyright file
  * Fixed the information message displayed when resolving dependencies
    (regression in version 1.6)
  * Added l10n-maven-plugin to the list of the documentation plugins
  * Added maven-svn-wagon to the list of the ignored extensions
  * Added maven-scm-publish-plugin to the list of the ignored plugins
  * Added rat-maven-plugin to the list of the ignored plugins
  * Code clean up and minor syntax changes

  [ Jakub Adam ]
  * dh build: Touch debian/stamp-poms-patched after mh_patchpoms is run
    (Closes: #714189)

  [ James Page ]
  * Send options for --published-rules and --ignore-rules to POMCleaner
    during SysInstallMojo (Closes: #719487).

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Aug 2013 13:00:25 +0200

maven-debian-helper (1.6.3) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Align the options vertically when asking how the version should be
    transformed

  [ Jakub Adam ]
  * maven.pm: pass properties.file.manual as JVM system property
    (Closes: #710131)

 -- Thomas Koch <thomas@koch.ro>  Sun, 09 Jun 2013 19:29:44 +0200

maven-debian-helper (1.6.2) unstable; urgency=low

  [ Thomas Koch ]
  * Upload to unstable
  * Depend on maven-repo-helper >= 1.8.3

  [ Emmanuel Bourg ]
  * Added myself to the uploaders
  * Fixed a typo in the help message for the --from-svn option in mh_make
  * Updated the dependency on maven-repo-helper (= 1.8.2)

  [ Jakub Adam ]
  * maven.pm: Rename maven-debian-plugin -> debian-maven-plugin
    (Closes: #706782)

 -- Thomas Koch <thomas@koch.ro>  Sun, 26 May 2013 11:25:14 +0200

maven-debian-helper (1.6.1) experimental; urgency=low

  [Emmanuel Bourg]
  * Fixed the format URL in the generated debian/copyright file (Closes: #690307)
  * debian/control: Update Standards-Version to 3.9.4 (no changes)
  * mh_make: Update generated control to use Standards-Version 3.9.4
  * Replaced tabs with spaces in Java files
  * Replaced StringBuffers with StringBuilders
  * Minor code changes (for each loops, indexOf->contains)

  [ Thomas Koch ]
  * fixed off-by-one error in version rule question
  * Do better tests for valid Debian package names
  * add missing newline
  * fix bad check for default response in user interaction
  * fix NPE when package is not found

 -- Thomas Koch <thomas@koch.ro>  Thu, 04 Apr 2013 20:38:45 +0200

maven-debian-helper (1.6) experimental; urgency=low

  [Ludovic Claude]
  * d/control:
    - Update Standards-Version to 3.9.2, no changes
  * d/rules: move 'unpatch all POM files' to
    cleanbuilddir target to restore all files to their pristine
    state after building.
  * share/perl/maven.pm: Apply patch to port share/cdbs/1/class/maven.mk to dh.
    Patch made by Steve Langasek <vorlon@debian.org>

  [Thomas Koch]
  * Massive code refactorings and cleanup.

  [Hilko Bengen]
  * mh_make: Do not use sudo (Closes: #703382)

  [James Page]
  * Make intelligent decisions about whether to install to /usr/share/java.
    (Closes: #688043) (LP: #1052533)

 -- Thomas Koch <thomas@koch.ro>  Thu, 28 Mar 2013 11:54:00 +0200

maven-debian-helper (1.5.1) unstable; urgency=low

  * d/control: update version constraint on maven-repo-helper
    (Closes: #657889)
  * Update the build to use junit 4
  * Refactor code in maven-packager-util and fix reading of output
    from dpkg and apt-file
  * Keep improving usability of mh_make (Closes: #638782, #641266)
  * Remove Michael Koch from the list of uploaders. Thanks for your
    work! (Closes: #654110)
  * Remove BSD license from the list of licenses stored in
    /usr/share/common-licenses (Closes: #641301)
  * When the jar is installed in /usr/share/java, use symlinks in the
    repository to avoid duplication of the jar contents (Closes: #665799)
  * Rename plugin maven-debian-plugin as debian-maven-plugin to adhere to
    Maven naming conventions.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 04 May 2012 00:51:14 +0200

maven-debian-helper (1.5) unstable; urgency=low

  [ Ludovic Claude ]
  * Install jars in /usr/share/java (Closes: #636660)
  * Now requires Java 1.5 or better to compile and run.
  * Remove velocity.log after running mh_make (Closes: #641261)
  * SysInstallMojo: read classifier and java-lib parameters.
  * mh_make: upgrade Standard-Version (Closes: #641302)
  * mh_make: clean up Debian emails of the form My Name<my.name@provider.com>
    (Closes: #638788)
  * mh_make: fix description in generated maven.rules (Closes: #639637)
  * mh_make: add support to generate and install Javadoc on multi projects
    during an Ant build.
  * Fix failing tests in DependenciesSolverTest
  * Run unit tests during the build,
  * d/control: add B-D on libcommons-io-java as it's used by the junit tests.
  * Generate package-doc.poms for Ant builds
  * mh_make: fix resolution of versionless dependencies and missing
    parent POMs (Closes: #639316)
  * mh_make: Don't include document packages in the dependency search
    (Closes: #656235)
  * Fix installation of javadoc jar (Closes: #656311)
  * Fix installation of artifacts using a classifier

  [ Damien Raude-Morvan ]
  * maven-packager-utils/src/main/resources/build.xml.vm: package-module ant
    macro is always needed (at least for root module).
  * Follow-up for #589635: avoid creating a file called mvn-build during
    the build.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 24 Jan 2012 23:55:22 +0100

maven-debian-helper (1.4.5) unstable; urgency=low

  * SysInstallMojo: Support "finalName" attribute to override
    expected artifact (conform to Maven standards).
  * SysInstallMojo: Read usj-name, usj-version and no-usj-versionless.
    Closes: #629621.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 01 Sep 2011 22:52:29 +0200

maven-debian-helper (1.4.4) unstable; urgency=low

  [ Ludovic Claude ]
  * Move apt-file, devscripts, subversion from Recommends: to Suggests: as
    they are only required when mh_make is used
  * mh_make: rescan the Maven repository after the user installs a
    required package.

  [ Damien Raude-Morvan ]
  * Upload to unstable (Closes: #637656).
  * mh_make: Update debian/copyright template for latest DEP-5 format.
  * mh_resolve_dependencies: Don't use mvn directly but call to
    DependenciesSolver main (so packages can have a main pom
    in other directory than root).
  * DependenciesSolver: Add new parameters :
    - --non-explore: doesn't explore directories for pom.xml
    - --base-directory: path to root directory of package
  * maven.mk: Send base-directory and non-explore parameters when calling
    mh_resolve_dependencies.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 20 Aug 2011 16:25:50 +0200

maven-debian-helper (1.4.3) unstable; urgency=low

  * DependenciesSolver: Don't use Properties.store() method since
    it escape some chars (like " >\=") from variables.
    Replace it with simple FileWriter. Closes: #628272.
  * SysInstallMojo: Send "--keep-elements" flag to POMCleaner if its
    set in <pkg>.poms file. Thanks to James Page <james.page@canonical.com>.
    Closes: #613364
  * mh_resolve_dependencies: Always launch Maven in offline mode
    with --offline option (as already done on mh_make). Closes: #629356
  * SysInstallDocMojo, SysInstallMojo: Drop initProperties method and only rely
    on Maven mojo attributes injection of "debianPackage" and "destPackage".
    Closes: #628693.
  * mh_resolve_dependencies: New --javadoc param, send from maven.mk CDBS file
    to automatically compute Javadoc dependencies when there is some *-doc
    package. Closes: #628703.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 09 Jun 2011 00:11:08 +0200

maven-debian-helper (1.4.2) unstable; urgency=low

  * mh_resolve_dependencies: Handle --verbose option has described in
    documentation (it was previously just ignored).
  * DependenciesSolver: In case we didn't found anything for "jar" type,
    just check for a "bundle" type inside repository

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 14 May 2011 22:59:17 +0200

maven-debian-helper (1.4.1) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Wed, 09 Feb 2011 21:42:36 +0100

maven-debian-helper (1.4) experimental; urgency=low

  * d/control: Add Recommends on devscripts (which provides licensecheck)
  * mh_make: 
     - Improve generated copyright
     - Fix generated rules for a build using ant
     - When ignoring dependencies, don't fail the build
     - When ant is used as the build tool, generate the build.xml file
       required for multi projects.
     - use licensecheck as an additional source of information for licenses

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 12 Nov 2010 12:26:37 +0100

maven-debian-helper (1.3) experimental; urgency=low

  * ${maven:Depends} and similar substitution vars: add
    version constraints when possible
  * Use dpkg to resolve the dependent packages in ${maven:DocDepends}
    (Closes: #588114)
  * Use dpkg to search for the documentation package (Closes: #588114)
  * mh_make: suggest installing missing dependencies which are not ignored
    during the build
  * add property debian.hasPackageVersion property, if true in the
    repository POM then other packages depending on a POM with this property on
    will have an addition version constraint generated in ${maven:Depends}
  * mh_make: detect when debian.hasPackageVersion can be used, ask for the
    upstream version of the package for confirmation.
  * d/control: add Recommends: on subversion as it's used by mh_make,
     add Build-Depends on libmaven-plugin-tools-java and junit
  * d/build.xml: fix build when previous versions of this package are
    not already installed on the system.
  * d/rules: use debian/.mh instead of debian/tmp as temp directory to better
    comply with Debian policy.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 29 Sep 2010 00:17:34 +0200

maven-debian-helper (1.2) unstable; urgency=low

  [ Ludovic Claude ]
  * debian/control: Update Standards-Version to 3.9.1, no changes
  * mh_make: fix issue when no-parent option is needed. Thanks Torsten
    for the report (Closes: #591513)
  * mh_make: assist with the rules to transform the versions
  * mh_make: use existing package.poms files if any
  * maven.mk: all rules in maven.ignoreRules are also used during the
    clean phase, so there is no need to duplicate them in
    maven.cleanIgnoreRules also.

  [ Damien Raude-Morvan ]
  * DependenciesSolver: Fix ClassCastException when using mh_make.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 16 Sep 2010 23:28:02 +0200

maven-debian-helper (1.1) unstable; urgency=low

  * debian/control: Update Standards-Version to 3.9.0, no changes
  * Fix compilation issues with gcj
  * mh_make: 
      - update generated control to use Standards-Version 3.9.0
      - improve useability and recognize more plugins and extensions
      - read existing maven rules in debian folder, don't ask twice the
        same questions.
  * Support installing build artifacts in different packages with the
    --package option in the <package>.poms file
  * Add mvn-build to phony rules to avoid creating a file called
    mvn-build during the build (Closes: #589635)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 28 Jun 2010 23:10:50 +0200

maven-debian-helper (1.0) unstable; urgency=low

  * debian/control:
     - replace Depends: on openjdk-6-jre | java2-runtime by default-jdk
     - remove Conflits: on old maven-debian-helper as there is already
       a version constraint for a new version of this package.
  * mh_make:
      - supports checking out code from the svn of dev.java.net
      - use upstream copyright when available for debian/* files
      - update Standards version, generate with source 3.0 (quilt) package
        format
      - mh_make --from-svn: improve package name proposal for URLs
        containing /tags/
      - ask to ignore missing dependencies
  * maven.mk: 
      - add before-mvn-build:: and after-mvn-build:: targets
        to be able to insert custom actions before and after running the Maven
        build
      - add DEB_MAVEN_INSTALL_TO_USJ variable. Set this variable to false to
        prevent maven.mk to install the jars in /usr/share/java. This
        variable defaults to true.
      - add call to mh_clean to remove temporary files
  * Add -Duse.maven.repo.local option to maven-debian-plugin:install
    and install-doc to give the option to deploy artifacts on the
    local (and temporary) Maven repository used by the Debian build
    Typical use-case: bootstrapping the build of a project with 
    some artifacts of the project pre-built and installed in the tmp repo
    before the normal build is executed. See the antlr3 package for an example
  * SysInstallMojo: clean the target directory before an installation if the
    directory is a symlink that was created by copy-repo.sh

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 16 May 2010 14:42:29 +0200

maven-debian-helper (0.12) unstable; urgency=low

  * SysInstallDocMojo: Fix methods override to install -javadoc JAR flavors.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 05 Apr 2010 23:46:22 +0200

maven-debian-helper (0.11) unstable; urgency=low

  * SysInstallMojo: Read generated pom.properties after POMCleaner
    calls to allow changing groupId and artifactId inside maven.rules
    (trying to mimic mh_installpom/mh_installjar behavior)
  * Switch to 3.0 (native) source format

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 05 Apr 2010 21:48:23 +0200

maven-debian-helper (0.10) unstable; urgency=low

  * Add --non-interactive option to mh_lspoms and use it
    in maven.mk to avoid asking questions during a build
    (Closes: #574399)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 24 Mar 2010 23:48:29 +0100

maven-debian-helper (0.9) unstable; urgency=low

  * maven-vars.mk: Fix detection of DEB_DOC_PACKAGE
    Only exclude first exact match from dh_listpackages result
    instead of all packages which contains main package name.
  * maven.mk: Pass DEB_DOC_PACKAGE when invoke DEB_MAVEN_DOC_TARGET.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 01 Mar 2010 21:22:34 +0100

maven-debian-helper (0.8) unstable; urgency=low

  * mh_make falls back on EMAIL when DEBEMAIL is not set
  * mh_make handles better multi projects
  * mh_make generates projects following the Debian 3.8.3 policy
  * Documentation improvements
  * maven.mk: unpatch the poms in cleanbuilddir, to have a good
    clean sequence when maven.mk is used with a patch system -
    clean target -> mvn clean -> rm tmp files -> unpatch pom files
     -> unpatch files with patch system
  * Read rules from the Maven repository to force the version of
    Maven plugins to be the same as in the repository
  * maven.mk removes some elements from the POM files when their
    use is against the Debian policy (<repositories> as they
    imply downloading artifacts from the Internet, 
    <distributionManagement> as it implies publishing on the net
    or in a location not controlled by Debian) or when they are
    not needed and risk pulling out unwanted dependencies
    (<reports> which is not used if a documentation package is
    not generated)
  * maven.mk adds a patch to Maven to disable using the
    maven-site-plugin when no documentation package is generated.
    This helps to reduce the amount of build dependencies

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 04 Jan 2010 23:13:29 +0100

maven-debian-helper (0.7) unstable; urgency=low

  [Ludovic Claude]
  * Make the package more version agnostic. Versions are discovered
    at runtime
  * mh_make has a new option, --from-svn, to download automatically
    the sources from a SVN repository and generate the Debian packaging
    for the project.
  * Add apt-file to Recommends: as it's used by mh_lspoms
    (Closes: #542511)

  [Michael Koch]
  * Add Recommends: apt-file to maven-debian-helper (Closes: #542511).
  * Build-Depends on debhelper (>= 7).
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 17 Dec 2009 20:09:00 +0100

maven-debian-helper (0.6) unstable; urgency=low

  * Update everything to version 0.6 because 2 scripts have still been at
    version 0.4. We should make the package more version agnostic.

 -- Torsten Werner <twerner@debian.org>  Sun, 16 Aug 2009 15:18:57 +0200

maven-debian-helper (0.5) unstable; urgency=low

  * Update Standards-Version to 3.8.2
  * Follow the new convention for Javadoc:
    javadoc in /usr/share/doc/package/api even if it's in package-doc

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 02 Aug 2009 11:42:31 +0100

maven-debian-helper (0.4) experimental; urgency=low

  [Ludovic Claude]
  * Add myself to Uploaders
  * Use maven-ant-helper for the build instead of recursively building
    this package with itself (which required an ugly bootstrap script)
  * Integrate the cdbs helper with maven-repo-helper, this unifies the
    way the Maven repository is used, and simplifies the job of the
    packager as maven-repo-helper takes care of most POM patching work.
  * Use default-jdk for the build
  * Change section to java, update Standards-Version to 3.8.1
  * Generate Javadoc API automatically.
  * Add mh_make tool to generate Debian packaging automatically from
    a Maven project.
    
  [Torsten Werner]
  * Implement pom faking.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 14 Jul 2009 20:17:16 +0100

maven-debian-helper (0.3) unstable; urgency=low

  * Implement better exception handling.
  * Create our own maven repository during build time.
  * Set version for non plugins to '[$version]' instead of '$version' only.

 -- Torsten Werner <twerner@debian.org>  Sun, 25 Jan 2009 23:16:20 +0100

maven-debian-helper (0.2) unstable; urgency=low

  * Rename the bootstrap script.
  * Add a manpage for mvn-debian.

 -- Torsten Werner <twerner@debian.org>  Sat, 17 Jan 2009 12:13:35 +0100

maven-debian-helper (0.1) unstable; urgency=low

  * Initial release. (Closes: #508511)

 -- Torsten Werner <twerner@debian.org>  Mon, 05 Jan 2009 11:47:25 +0100
